gnutls_x509_crt_list_import2(3)

NAME
gnutls_x509_crt_list_import2 - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_list_import2(gnutls_x509_crt_t ** certs, unsigned int * size, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format, unsigned int flags);

ARGUMENTS

gnutls_x509_crt_t ** certs
    The structures to store the parsed certificate. Must not be initialized.

unsigned int * size
    It will contain the size of the list.

const gnutls_datum_t * data
    The PEM encoded certificate.

gnutls_x509_crt_fmt_t format
    One of DER or PEM.

unsigned int flags
    must be (0) or an OR'd sequence of gnutls_certificate_import_flags.

DESCRIPTION
This function will convert the given PEM encoded certificate list to the native gnutls_x509_crt_t format. The output will be stored in certs which will allocated and initialized. If the Certificate is PEM encoded it should have a header of "X509 CERTIFICATE", or "CERTIFICATE". To deinitialize certs , you need to deinitialize each crt structure independently, and use gnutls_free() at

RETURNS
the number of certificates read or a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/